Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v2
Class TherapeuticExclusionHistorySelectType

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v2.TherapeuticExclusionSelectType
          be.fgov.ehealth.hubservices.core.v2.TherapeuticExclusionHistorySelectType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-04-05T05:03:36+02:00",
               comments="JAXB RI v2.3.6")
    public class TherapeuticExclusionHistorySelectType

extends TherapeuticExclusionSelectType
implements Serializable

Java class for TherapeuticExclusionHistorySelectType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TherapeuticExclusionHistorySelectType">
       <complexContent>
         <extension base="{http://www.ehealth.fgov.be/hubservices/core/v2}TherapeuticExclusionSelectType">
           <sequence>
             <element name="begindate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="enddate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`TherapeuticExclusionHistorySelectType()`

Method Summary
`org.joda.time.DateTime` | `getBegindate()` Gets the value of the begindate property.
`org.joda.time.DateTime` | `getEnddate()` Gets the value of the enddate property.
`void` | `setBegindate(org.joda.time.DateTime value)` Sets the value of the begindate property.
`void` | `setEnddate(org.joda.time.DateTime value)` Sets the value of the enddate property.

Methods inherited from class be.fgov.ehealth.hubservices.core.v2.TherapeuticExclusionSelectType
`getHcparty, getPatient, setHcparty, setPatient`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TherapeuticExclusionHistorySelectType

    public TherapeuticExclusionHistorySelectType()

Method Detail

### getBegindate

    public org.joda.time.DateTime getBegindate()

  Gets the value of the begindate property.

  Returns:
    possible object is `String`

### setBegindate

    public void setBegindate(org.joda.time.DateTime value)

  Sets the value of the begindate property.

  Parameters:
    `value` - allowed object is `String`

### getEnddate

    public org.joda.time.DateTime getEnddate()

  Gets the value of the enddate property.

  Returns:
    possible object is `String`

### setEnddate

    public void setEnddate(org.joda.time.DateTime value)

  Sets the value of the enddate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.26.1 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.